## ros-jazzy-depthimage-to-laserscan 2.5.1

=== debian/changelog ===
ros-jazzy-depthimage-to-laserscan (2.5.1-4bookworm) bookworm; urgency=high

  * fix node name (#71 <https://github.com/ros-perception/depthimage_to_laserscan/issues/71>)
  * Update the code to use a non-deprecated header. (#72 <https://github.com/ros-perception/depthimage_to_laserscan/issues/72>)
  * Fix the style throughout the codebase to conform to ROS 2 style. (#63 <https://github.com/ros-perception/depthimage_to_laserscan/issues/63>)
  * Contributors: Chris Lalancette, Josef

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 18 Jul 2023 16:00:00 -0000

ros-jazzy-depthimage-to-laserscan (2.5.0-4bookworm) bookworm; urgency=high

  * Install includes to ${PROJECT_NAME} folder and use modern CMake (#58 <https://github.com/ros-perception/depthimage_to_laserscan/issues/58>)
  * Fix the launch files to work with Rolling. (#59 <https://github.com/ros-perception/depthimage_to_laserscan/issues/59>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 21 Jan 2022 16:00:00 -0000

ros-jazzy-depthimage-to-laserscan (2.3.1-4bookworm) bookworm; urgency=high

  * Cleanup the CMakeLists.txt (#51 <https://github.com/ros-perception/depthimage_to_laserscan/issues/51>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 07 Apr 2021 16:00:00 -0000

ros-jazzy-depthimage-to-laserscan (2.3.0-4bookworm) bookworm; urgency=high

  * Make DepthImageToLaserScan more RAII.
  * Fixes pointed out by clang-tidy.
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 27 May 2020 16:00:00 -0000

ros-jazzy-depthimage-to-laserscan (2.2.5-4bookworm) bookworm; urgency=high

  * Update the README.md to describe the topics and parameters.
  * Add in a launch file for composable node.
  * Rename launch file to conform to recommendations.
  * Remove unnecessary Depth.cfg.
  * Make depthimage_to_laserscan composable.
  * Rename header files to .hpp
  * Style cleanup.
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 12 Nov 2019 16:00:00 -0000

ros-jazzy-depthimage-to-laserscan (2.2.4-4bookworm) bookworm; urgency=high

  * Export interfaces for Win32 Shared Lib (#44 <https://github.com/ros-perception/depthimage_to_laserscan/issues/44>)
  * Contributors: Sean Yen

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 22 Oct 2019 16:00:00 -0000

ros-jazzy-depthimage-to-laserscan (2.2.2-4bookworm) bookworm; urgency=high

  * update code to be consist with new ros2 core (#42 <https://github.com/ros-perception/depthimage_to_laserscan/issues/42>)
  * Contributors: Gary Liu

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 26 Sep 2019 16:00:00 -0000

ros-jazzy-depthimage-to-laserscan (2.2.1-4bookworm) bookworm; urgency=high

  * Port depthimage_to_laserscan to ROS2.
  * Import ROS2 changes from https://github.com/ros2/depthimage_to_laserscan.git to upstream
  * Contributors: Chad Rockey, Chris Lalancette, Mikael Arguedas, Shane Loretz, dhood

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 28 Mar 2019 16:00:00 -0000

ros-jazzy-depthimage-to-laserscan (1.0.8-4bookworm) bookworm; urgency=high

  * Merge pull request #27 <https://github.com/ros-perception/depthimage_to_laserscan/issues/27> from ros-perception/mikaelarguedas-patch-1
    update to use non deprecated pluginlib macro
  * update to use non deprecated pluginlib macro
  * Contributors: Chad Rockey, Mikael Arguedas

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 06 Feb 2019 16:00:00 -0000

ros-jazzy-depthimage-to-laserscan (1.0.7-4bookworm) bookworm; urgency=high

  * Merge pull request #11 <https://github.com/ros-perception/depthimage_to_laserscan/issues/11> from ros-perception/hydro-devel
    Update indigo devel with angle fix
  * Merge pull request #8 <https://github.com/ros-perception/depthimage_to_laserscan/issues/8> from vliedel/hydro-devel
    fixed angle_increment
  * fixed angle_increment
  * Merge pull request #7 <https://github.com/ros-perception/depthimage_to_laserscan/issues/7> from bulwahn/hydro-devel
    check for CATKIN_ENABLE_TESTING
  * check for CATKIN_ENABLE_TESTING
  * Added ARCHIVE DESTINATION
  * Contributors: Chad Rockey, Lukas Bulwahn, vliedel

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 15 Jun 2014 16:00:00 -0000

ros-jazzy-depthimage-to-laserscan (1.0.6-4bookworm) bookworm; urgency=high

  * Removed y component from projected beam radius.

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 30 Oct 2013 16:00:00 -0000

ros-jazzy-depthimage-to-laserscan (1.0.5-4bookworm) bookworm; urgency=high

  * No more Willow Garage email.
  * Merge pull request #4 <https://github.com/ros-perception/depthimage_to_laserscan/issues/4> from ericperko/groovy-devel
    Cleaned up CMakeLists a bit
  * Cleaned up CMakeLists a bit

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 20 Aug 2013 16:00:00 -0000

ros-jazzy-depthimage-to-laserscan (1.0.4-4bookworm) bookworm; urgency=high

  * Update version to 1.0.4
  * Merge pull request #3 <https://github.com/ros-perception/depthimage_to_laserscan/issues/3> from ahendrix/fix_testdeps
    Fix testdeps
  * Removed redundant test-depends.
  * Remove old makefile.

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 21 Jan 2013 16:00:00 -0000

ros-jazzy-depthimage-to-laserscan (1.0.3-4bookworm) bookworm; urgency=high

  * fix exported libraries (fix #2 <https://github.com/ros-perception/depthimage_to_laserscan/issues/2>)

 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 22 Dec 2012 16:00:00 -0000

ros-jazzy-depthimage-to-laserscan (1.0.2-4bookworm) bookworm; urgency=high

  * fix dyn reconf
  * Updated description.
  * Updated readme to link to wiki.

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 18 Dec 2012 16:00:00 -0000

ros-jazzy-depthimage-to-laserscan (1.0.1-4bookworm) bookworm; urgency=high

  * Update package.xml

